# build output
dist/
backup/
# generated types
.astro/

# dependencies
node_modules/
package-lock.json

# logs
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*

# environment variables
.env
.env.production
.env.local
.env.development

# macOS-specific files
.DS_Store
.DS_Store?
._*
.Spotlight-V100
.Trashes

# Editor directories and files
.idea/
.vscode/
.github/
*.suo
*.ntvs*
*.njsproj
*.sln
*.sw?

# Testing
coverage/
.nyc_output/

# Temporary files
*.log
*.tmp
.temp/
tmp/
temp/

# Optional: Dependency directories
jspm_packages/
bower_components/

# Optional: Cache directories
.npm/
.eslintcache
.stylelintcache

# Production build files
build/
public/dist/
public/build/

# Optional: Local SSL certificates
*.pem
*.cert
*.key

# Optional: CDN caches
.cdn/
